.topnav {       
    overflow: hidden;
    background-color: #333;
    }

.topnav a {
    float: left;
    display: block;
    color: white ;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 17px;
    }

.topnav a:hover {
    background-color: #ddd;
    color: black;
    }

.topnav a.active {
    background-color: #2196F3;
    color: white;
    }

.topnav .search-container {
    float: right;
    }

.topnav input[type=text] {
    padding: 6px;
    margin-top: 8px;
    font-size: 17px;
    border: none;
    }

.topnav .search-container button {
    float: right;
    padding: 6px;
    margin-top: 8px;
    margin-right: 16px;
    background: #ddd;
    font-size: 17px;
    border: none;
    cursor: pointer;
    }

.topnav .search-container button:hover {
    background: #ccc;
    }

@media screen and (max-width: 600px) {
    .topnav .search-container {
        float: none;
    }

    .topnav a, .topnav input[type=text], .topnav .search-container button {
        float: none;
        display: block;
        text-align: left;
        width: 100%;
        margin: 0;
        padding: 14px;
    }

    .topnav input[type=text] {
        border: 1px solid #ccc;  
    }
}
